<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>HSSFRichTextString (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="HSSFRichTextString (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10,"i13":10,"i14":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/HSSFRichTextString.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/hssf/usermodel/HSSFRangeCopier.html"
               title="class in org.apache.poi.hssf.usermodel"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/hssf/usermodel/HSSFRow.html"
               title="class in org.apache.poi.hssf.usermodel"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/hssf/usermodel/HSSFRichTextString.html" target="_top">Frames</a>
        </li>
        <li><a href="HSSFRichTextString.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
    <div class="subTitle">org.apache.poi.hssf.usermodel</div>
    <h2 title="Class HSSFRichTextString" class="title">Class HSSFRichTextString</h2>
</div>
<div class="contentContainer">
    <ul class="inheritance">
        <li>java.lang.Object</li>
        <li>
            <ul class="inheritance">
                <li>org.apache.poi.hssf.usermodel.HSSFRichTextString</li>
            </ul>
        </li>
    </ul>
    <div class="description">
        <ul class="blockList">
            <li class="blockList">
                <dl>
                    <dt>All Implemented Interfaces:</dt>
                    <dd>java.lang.Comparable&lt;<a
                            href="../../../../../org/apache/poi/hssf/usermodel/HSSFRichTextString.html"
                            title="class in org.apache.poi.hssf.usermodel">HSSFRichTextString</a>&gt;, <a
                            href="../../../../../org/apache/poi/ss/usermodel/RichTextString.html"
                            title="interface in org.apache.poi.ss.usermodel">RichTextString</a></dd>
                </dl>
                <hr>
                <br>
                <pre>public final class <span class="typeNameLabel">HSSFRichTextString</span>
extends java.lang.Object
implements java.lang.Comparable&lt;<a href="../../../../../org/apache/poi/hssf/usermodel/HSSFRichTextString.html"
                                      title="class in org.apache.poi.hssf.usermodel">HSSFRichTextString</a>&gt;, <a
                            href="../../../../../org/apache/poi/ss/usermodel/RichTextString.html"
                            title="interface in org.apache.poi.ss.usermodel">RichTextString</a></pre>
                <div class="block">Rich text unicode string. These strings can have fonts applied to
                    arbitary parts of the string.

                    <p>
                        Note, that in certain cases creating too many HSSFRichTextString cells may cause Excel 2003 and
                        lower to crash
                        when changing the color of the cells and then saving the Excel file. Compare two snippets that
                        produce equivalent output:

                    <p>
                    <blockquote><pre>
  HSSFCell hssfCell = row.createCell(idx);
  //rich text consists of two runs
  HSSFRichTextString richString = new HSSFRichTextString( "Hello, World!" );
  richString.applyFont( 0, 6, font1 );
  richString.applyFont( 6, 13, font2 );
  hssfCell.setCellValue( richString );
 </pre>
                    </blockquote>

                    and

                    <p>
                    <blockquote><pre>
  //create a cell style and assign the first font to it
  HSSFCellStyle style = workbook.createCellStyle();
  style.setFont(font1);

  HSSFCell hssfCell = row.createCell(idx);
  hssfCell.setCellStyle(style);

  //rich text consists of one run overriding the cell style
  HSSFRichTextString richString = new HSSFRichTextString( "Hello, World!" );
  richString.applyFont( 6, 13, font2 );
  hssfCell.setCellValue( richString );
 </pre>
                    </blockquote>
                    <p>

                        Excel always uses the latter approach: for a reach text containing N runs Excel saves the font
                        of the first run in the cell's
                        style and subsequent N-1 runs override this font.

                    <p> For more information regarding this behavior please consult Bugzilla 47543:

                        <a href="https://issues.apache.org/bugzilla/show_bug.cgi?id=47543">
                            https://issues.apache.org/bugzilla/show_bug.cgi?id=47543</a></div>
            </li>
        </ul>
    </div>
    <div class="summary">
        <ul class="blockList">
            <li class="blockList">
                <!-- =========== FIELD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="field.summary">
                        <!--   -->
                    </a>
                        <h3>Field Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Field Summary table, listing fields, and an explanation">
                            <caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Field and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>static short</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFRichTextString.html#NO_FONT">NO_FONT</a></span></code>
                                    <div class="block">Place holder for indicating that NO_FONT has been applied here
                                    </div>
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ======== CONSTRUCTOR SUMMARY ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.summary">
                        <!--   -->
                    </a>
                        <h3>Constructor Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Constructor Summary table, listing constructors, and an explanation">
                            <caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colOne" scope="col">Constructor and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFRichTextString.html#HSSFRichTextString--">HSSFRichTextString</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFRichTextString.html#HSSFRichTextString-java.lang.String-">HSSFRichTextString</a></span>(java.lang.String&nbsp;string)</code>&nbsp;
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ========== METHOD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.summary">
                        <!--   -->
                    </a>
                        <h3>Method Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Method Summary table, listing methods, and an explanation">
                            <caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span
                                    id="t2" class="tableTab"><span><a
                                    href="javascript:show(2);">Instance Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a
                                    href="javascript:show(8);">Concrete Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Method and Description</th>
                            </tr>
                            <tr id="i0" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFRichTextString.html#applyFont-org.apache.poi.ss.usermodel.Font-">applyFont</a></span>(<a
                                        href="../../../../../org/apache/poi/ss/usermodel/Font.html"
                                        title="interface in org.apache.poi.ss.usermodel">Font</a>&nbsp;font)</code>
                                    <div class="block">Sets the font of the entire string.</div>
                                </td>
                            </tr>
                            <tr id="i1" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFRichTextString.html#applyFont-int-int-org.apache.poi.ss.usermodel.Font-">applyFont</a></span>(int&nbsp;startIndex,
                                    int&nbsp;endIndex,
                                    <a href="../../../../../org/apache/poi/ss/usermodel/Font.html"
                                       title="interface in org.apache.poi.ss.usermodel">Font</a>&nbsp;font)</code>
                                    <div class="block">Applies a font to the specified characters of a string.</div>
                                </td>
                            </tr>
                            <tr id="i2" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFRichTextString.html#applyFont-int-int-short-">applyFont</a></span>(int&nbsp;startIndex,
                                    int&nbsp;endIndex,
                                    short&nbsp;fontIndex)</code>
                                    <div class="block">Applies a font to the specified characters of a string.</div>
                                </td>
                            </tr>
                            <tr id="i3" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFRichTextString.html#applyFont-short-">applyFont</a></span>(short&nbsp;fontIndex)</code>
                                    <div class="block">Applies the specified font to the entire string.</div>
                                </td>
                            </tr>
                            <tr id="i4" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFRichTextString.html#clearFormatting--">clearFormatting</a></span>()</code>
                                    <div class="block">Removes any formatting that may have been applied to the
                                        string.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i5" class="rowColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFRichTextString.html#compareTo-org.apache.poi.hssf.usermodel.HSSFRichTextString-">compareTo</a></span>(<a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFRichTextString.html"
                                        title="class in org.apache.poi.hssf.usermodel">HSSFRichTextString</a>&nbsp;r)</code>
                                    <div class="block">Compares one rich text string to another.</div>
                                </td>
                            </tr>
                            <tr id="i6" class="altColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFRichTextString.html#equals-java.lang.Object-">equals</a></span>(java.lang.Object&nbsp;o)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i7" class="rowColor">
                                <td class="colFirst"><code>short</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFRichTextString.html#getFontAtIndex-int-">getFontAtIndex</a></span>(int&nbsp;index)</code>
                                    <div class="block">Returns the font in use at a particular index.</div>
                                </td>
                            </tr>
                            <tr id="i8" class="altColor">
                                <td class="colFirst"><code>short</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFRichTextString.html#getFontOfFormattingRun-int-">getFontOfFormattingRun</a></span>(int&nbsp;index)</code>
                                    <div class="block">Gets the font used in a particular formatting run.</div>
                                </td>
                            </tr>
                            <tr id="i9" class="rowColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFRichTextString.html#getIndexOfFormattingRun-int-">getIndexOfFormattingRun</a></span>(int&nbsp;index)</code>
                                    <div class="block">The index within the string to which the specified formatting run
                                        applies.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i10" class="altColor">
                                <td class="colFirst"><code>java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFRichTextString.html#getString--">getString</a></span>()</code>
                                    <div class="block">Returns the plain string representation.</div>
                                </td>
                            </tr>
                            <tr id="i11" class="rowColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFRichTextString.html#hashCode--">hashCode</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i12" class="altColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFRichTextString.html#length--">length</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i13" class="rowColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFRichTextString.html#numFormattingRuns--">numFormattingRuns</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i14" class="altColor">
                                <td class="colFirst"><code>java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFRichTextString.html#toString--">toString</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                        </table>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;java.lang.Object</h3>
                                <code>clone, finalize, getClass, notify, notifyAll, wait, wait, wait</code></li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
    <div class="details">
        <ul class="blockList">
            <li class="blockList">
                <!-- ============ FIELD DETAIL =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="field.detail">
                        <!--   -->
                    </a>
                        <h3>Field Detail</h3>
                        <a name="NO_FONT">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>NO_FONT</h4>
                                <pre>public static final&nbsp;short NO_FONT</pre>
                                <div class="block">Place holder for indicating that NO_FONT has been applied here</div>
                                <dl>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../../constant-values.html#org.apache.poi.hssf.usermodel.HSSFRichTextString.NO_FONT">Constant
                                            Field Values</a></dd>
                                </dl>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ========= CONSTRUCTOR DETAIL ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.detail">
                        <!--   -->
                    </a>
                        <h3>Constructor Detail</h3>
                        <a name="HSSFRichTextString--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>HSSFRichTextString</h4>
                                <pre>public&nbsp;HSSFRichTextString()</pre>
                            </li>
                        </ul>
                        <a name="HSSFRichTextString-java.lang.String-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>HSSFRichTextString</h4>
                                <pre>public&nbsp;HSSFRichTextString(java.lang.String&nbsp;string)</pre>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ============ METHOD DETAIL ========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.detail">
                        <!--   -->
                    </a>
                        <h3>Method Detail</h3>
                        <a name="applyFont-int-int-short-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>applyFont</h4>
                                <pre>public&nbsp;void&nbsp;applyFont(int&nbsp;startIndex,
                      int&nbsp;endIndex,
                      short&nbsp;fontIndex)</pre>
                                <div class="block">Applies a font to the specified characters of a string.</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/usermodel/RichTextString.html#applyFont-int-int-short-">applyFont</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/RichTextString.html"
                                                title="interface in org.apache.poi.ss.usermodel">RichTextString</a></code>
                                    </dd>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>startIndex</code> - The start index to apply the font to (inclusive)</dd>
                                    <dd><code>endIndex</code> - The end index to apply the font to (exclusive)</dd>
                                    <dd><code>fontIndex</code> - The font to use.</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="applyFont-int-int-org.apache.poi.ss.usermodel.Font-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>applyFont</h4>
                                <pre>public&nbsp;void&nbsp;applyFont(int&nbsp;startIndex,
                      int&nbsp;endIndex,
                      <a href="../../../../../org/apache/poi/ss/usermodel/Font.html"
                         title="interface in org.apache.poi.ss.usermodel">Font</a>&nbsp;font)</pre>
                                <div class="block">Applies a font to the specified characters of a string.</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/usermodel/RichTextString.html#applyFont-int-int-org.apache.poi.ss.usermodel.Font-">applyFont</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/RichTextString.html"
                                                title="interface in org.apache.poi.ss.usermodel">RichTextString</a></code>
                                    </dd>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>startIndex</code> - The start index to apply the font to (inclusive)</dd>
                                    <dd><code>endIndex</code> - The end index to apply to font to (exclusive)</dd>
                                    <dd><code>font</code> - The index of the font to use.</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="applyFont-org.apache.poi.ss.usermodel.Font-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>applyFont</h4>
                                <pre>public&nbsp;void&nbsp;applyFont(<a
                                        href="../../../../../org/apache/poi/ss/usermodel/Font.html"
                                        title="interface in org.apache.poi.ss.usermodel">Font</a>&nbsp;font)</pre>
                                <div class="block">Sets the font of the entire string.</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/usermodel/RichTextString.html#applyFont-org.apache.poi.ss.usermodel.Font-">applyFont</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/RichTextString.html"
                                                title="interface in org.apache.poi.ss.usermodel">RichTextString</a></code>
                                    </dd>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>font</code> - The font to use.</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="clearFormatting--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>clearFormatting</h4>
                                <pre>public&nbsp;void&nbsp;clearFormatting()</pre>
                                <div class="block">Removes any formatting that may have been applied to the string.
                                </div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/usermodel/RichTextString.html#clearFormatting--">clearFormatting</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/RichTextString.html"
                                                title="interface in org.apache.poi.ss.usermodel">RichTextString</a></code>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getString--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getString</h4>
                                <pre>public&nbsp;java.lang.String&nbsp;getString()</pre>
                                <div class="block">Returns the plain string representation.</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/usermodel/RichTextString.html#getString--">getString</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/RichTextString.html"
                                                title="interface in org.apache.poi.ss.usermodel">RichTextString</a></code>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="length--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>length</h4>
                                <pre>public&nbsp;int&nbsp;length()</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/usermodel/RichTextString.html#length--">length</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/RichTextString.html"
                                                title="interface in org.apache.poi.ss.usermodel">RichTextString</a></code>
                                    </dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the number of characters in the text.</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getFontAtIndex-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getFontAtIndex</h4>
                                <pre>public&nbsp;short&nbsp;getFontAtIndex(int&nbsp;index)</pre>
                                <div class="block">Returns the font in use at a particular index.</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>index</code> - The index.</dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>The font that's currently being applied at that
                                        index or null if no font is being applied or the
                                        index is out of range.
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="numFormattingRuns--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>numFormattingRuns</h4>
                                <pre>public&nbsp;int&nbsp;numFormattingRuns()</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/usermodel/RichTextString.html#numFormattingRuns--">numFormattingRuns</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/RichTextString.html"
                                                title="interface in org.apache.poi.ss.usermodel">RichTextString</a></code>
                                    </dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>The number of formatting runs used. There will always be at
                                        least one of font NO_FONT.
                                    </dd>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../../org/apache/poi/hssf/usermodel/HSSFRichTextString.html#NO_FONT"><code>NO_FONT</code></a>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getIndexOfFormattingRun-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getIndexOfFormattingRun</h4>
                                <pre>public&nbsp;int&nbsp;getIndexOfFormattingRun(int&nbsp;index)</pre>
                                <div class="block">The index within the string to which the specified formatting run
                                    applies.
                                </div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/usermodel/RichTextString.html#getIndexOfFormattingRun-int-">getIndexOfFormattingRun</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/RichTextString.html"
                                                title="interface in org.apache.poi.ss.usermodel">RichTextString</a></code>
                                    </dd>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>index</code> - the index of the formatting run</dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the index within the string.</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getFontOfFormattingRun-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getFontOfFormattingRun</h4>
                                <pre>public&nbsp;short&nbsp;getFontOfFormattingRun(int&nbsp;index)</pre>
                                <div class="block">Gets the font used in a particular formatting run.</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>index</code> - the index of the formatting run</dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the font number used.</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="compareTo-org.apache.poi.hssf.usermodel.HSSFRichTextString-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>compareTo</h4>
                                <pre>public&nbsp;int&nbsp;compareTo(<a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFRichTextString.html"
                                        title="class in org.apache.poi.hssf.usermodel">HSSFRichTextString</a>&nbsp;r)</pre>
                                <div class="block">Compares one rich text string to another.</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code>compareTo</code>&nbsp;in interface&nbsp;<code>java.lang.Comparable&lt;<a
                                            href="../../../../../org/apache/poi/hssf/usermodel/HSSFRichTextString.html"
                                            title="class in org.apache.poi.hssf.usermodel">HSSFRichTextString</a>&gt;</code>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="equals-java.lang.Object-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>equals</h4>
                                <pre>public&nbsp;boolean&nbsp;equals(java.lang.Object&nbsp;o)</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
                                    <dd><code>equals</code>&nbsp;in class&nbsp;<code>java.lang.Object</code></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="hashCode--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>hashCode</h4>
                                <pre>public&nbsp;int&nbsp;hashCode()</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
                                    <dd><code>hashCode</code>&nbsp;in class&nbsp;<code>java.lang.Object</code></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="toString--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>toString</h4>
                                <pre>public&nbsp;java.lang.String&nbsp;toString()</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
                                    <dd><code>toString</code>&nbsp;in class&nbsp;<code>java.lang.Object</code></dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the plain text representation of this string.</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="applyFont-short-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>applyFont</h4>
                                <pre>public&nbsp;void&nbsp;applyFont(short&nbsp;fontIndex)</pre>
                                <div class="block">Applies the specified font to the entire string.</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/usermodel/RichTextString.html#applyFont-short-">applyFont</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/RichTextString.html"
                                                title="interface in org.apache.poi.ss.usermodel">RichTextString</a></code>
                                    </dd>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>fontIndex</code> - the font to apply.</dd>
                                </dl>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/HSSFRichTextString.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/hssf/usermodel/HSSFRangeCopier.html"
               title="class in org.apache.poi.hssf.usermodel"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/hssf/usermodel/HSSFRow.html"
               title="class in org.apache.poi.hssf.usermodel"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/hssf/usermodel/HSSFRichTextString.html" target="_top">Frames</a>
        </li>
        <li><a href="HSSFRichTextString.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
